## Class WhileStmt

    java.lang.Object
      |
      +--Statement
            |
            +--WhileStmt

public class WhileStmt
extends Statement

Field Summary
`private Expr` `expr`
`private Statement` `loop_block`

Constructor Summary
`WhileStmt()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` `loop_codegen(ClassFile classfile, CodeAttribute code, int breakpoint, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`(package private) void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`(package private) void` `set_Expr(Expr exp)`
`(package private) void` `set_Loop_block(Statement blk)`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr

    private Expr expr

### loop_block

    private Statement loop_block

Constructor Detail

### WhileStmt

    public WhileStmt()

Method Detail

### set_Expr

    void set_Expr(Expr exp)

### set_Loop_block

    void set_Loop_block(Statement blk)

### sc_check

    void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                  java.util.Hashtable ch,
                  java.util.Hashtable bh,
                  boolean ext,
                  java.util.Hashtable parach,
                  java.util.Hashtable parabh)
            throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`

### loop_codegen

    public void loop_codegen(ClassFile classfile,
                             CodeAttribute code,
                             int breakpoint,
                             boolean not,
                             de.dhbwstuttgart.typeinference.Menge paralist)
                      throws JVMCodeException

    `JVMCodeException`